Developer Guide and Reference

Contents

fmudflap

The compiler instruments risky pointer operations to prevent buffer overflows and invalid heap use. This is a deprecated option. There is no replacement option.
You can consider using the Pointer Checker options (such as option -check-pointers).

Syntax

Linux:
-fmudflap
macOS:
None
Windows:
None
Arguments
None
Default
OFF
The compiler does not instrument risky pointer operations.
Description
The compiler instruments risky pointer operations to prevent buffer overflows and invalid heap use. It requires gcc 4.0 or newer.
When using this compiler option, you must specify linker option
-lmudflap
in the link command line to resolve references to the
libmudflap
library.
Alternate Options
None